Debian Bug report logs - #438385
fails on 64-bit platforms

version graph

Package: awardeco; Maintainer for awardeco is Uwe Hermann <uwe@debian.org>; Source for awardeco is src:awardeco.

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Thu, 16 Aug 2007 14:30:02 UTC

Severity: grave

Tags: patch

Found in version 0.2-2+rmh

Fixed in versions awardeco/0.2-2.1, awardeco/0.2-3

Done: Uwe Hermann <uwe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#438385; Package awardeco. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fails on 64-bit platforms
Date: Thu, 16 Aug 2007 16:28:53 +0200
[Message part 1 (text/plain, inline)]
Package: awardeco
Version: 0.2-2+rmh
Severity: grave
Tags: patch

Fails to extract bioses on 64-bit platforms due to use of evil "long" type.

After appliing this patch, I've tested it and can verify it produces identical
results on the bios I was trying.

I think this is grave enough that it calls for a stable-proposed-updates upload.
The package is completely useless otherwise.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)

Versions of packages awardeco depends on:
ii  libc6                  2.3.6.ds1-13etch2 GNU C Library: Shared libraries

awardeco recommends no packages.

-- no debconf information
[64bit.diff (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#438385; Package awardeco. Full text and rfc822 format available.

Acknowledgement sent to Giacomo Catenazzi <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #10 received at 438385@bugs.debian.org (full text, mbox):

From: Giacomo Catenazzi <cate@debian.org>
To: 438385@bugs.debian.org
Subject: NMU awardeco #438385: fails on 64-bit platforms
Date: Wed, 16 Jan 2008 08:51:48 +0100
[Message part 1 (text/plain, inline)]
Hello,

I'm ready for a NMU, attached I put the diff.
Now I'll upload the package in delayed.

the patch contain:
- fix on 64-bit architecture: use C99 "fixed"-bit integer
- fix of undeclared function: a potential bug, which can
  give problem on some architectures.
  Considering the package pourpose, maybe Architecture: "any"
  is to wide.
- fix a return of local stack variables

PS: only the first is a rc bug (#438385),
but the second adn the third are potential rc or important bugs.

ciao
	cate
[awardeco.diff (text/x-patch, inline)]
diff -u awardeco-0.2/debian/changelog awardeco-0.2/debian/changelog
--- awardeco-0.2/debian/changelog
+++ awardeco-0.2/debian/changelog
@@ -1,3 +1,11 @@
+awardeco (0.2-2.1) unstable; urgency=low
+
+  * Non-Maintainer Upload at BSP in Zurich: fix rc bug
+  * Use the C99 bit length integer, to be safe on various archs
+  * fix also headers inclusion (memcpy: <string.h>, exit: <stdlib.h>
+
+ -- Giacomo Catenazzi <cate@debian.org>  Sat, 12 Jan 2008 20:07:12 +0100
+
 awardeco (0.2-2) unstable; urgency=low
 
   * Fix FTBFS on GNU/kFreeBSD (Closes: #414235).
only in patch2:
unchanged:
--- awardeco-0.2.orig/debian/patches/30_fixeduint.patch
+++ awardeco-0.2/debian/patches/30_fixeduint.patch
@@ -0,0 +1,17 @@
+diff -Nur awardeco-0.2/src/awardeco.h awardeco-0.2.new/src/awardeco.h
+--- awardeco-0.2/src/awardeco.h	2006-08-05 11:38:03.000000000 +0200
++++ awardeco-0.2.new/src/awardeco.h	2008-01-16 08:12:10.000000000 +0100
+@@ -10,10 +10,11 @@
+ #define AWARDECO_H 1
+ 
+ #include	<stdio.h>
++#include	<stdint.h>
+ 
+ typedef unsigned char	byte;
+-typedef unsigned short	word;
+-typedef unsigned long	dword;
++typedef uint16_t	word;
++typedef uint32_t	dword;
+ 
+ #define	Xtract 		0x10
+ #define	List   		0x11
only in patch2:
unchanged:
--- awardeco-0.2.orig/debian/patches/40_fixheader.patch
+++ awardeco-0.2/debian/patches/40_fixheader.patch
@@ -0,0 +1,12 @@
+diff -Nur awardeco-0.2/src/awardfnc.c awardeco-0.2.new/src/awardfnc.c
+--- awardeco-0.2/src/awardfnc.c	2006-08-05 11:38:03.000000000 +0200
++++ awardeco-0.2.new/src/awardfnc.c	2008-01-16 08:25:31.000000000 +0100
+@@ -10,6 +10,8 @@
+ #define AWARDFUNC_H 1
+ 
+ #include	<stdio.h>
++#include	<string.h>
++#include	<stdlib.h>
+ 
+ typedef unsigned char	byte;
+ typedef unsigned short	word;
only in patch2:
unchanged:
--- awardeco-0.2.orig/debian/patches/40_fixwarnings.patch
+++ awardeco-0.2/debian/patches/40_fixwarnings.patch
@@ -0,0 +1,21 @@
+diff -Nur awardeco-0.2/src/awardfnc.c awardeco-0.2.new/src/awardfnc.c
+--- awardeco-0.2/src/awardfnc.c	2008-01-16 08:28:09.000000000 +0100
++++ awardeco-0.2.new/src/awardfnc.c	2008-01-16 08:30:41.000000000 +0100
+@@ -153,7 +153,7 @@
+ 
+ byte *GetFullDate(byte *mon, byte *day, byte *year)
+ 	{
+-		byte *Months[]={"",
++		static byte const*const Months[]={"",
+ 				"January",
+ 				"February",
+ 				"March",
+@@ -166,7 +166,7 @@
+ 				"October",
+ 				"November",
+ 				"December"};
+-		byte Buf[20];
++		static byte Buf[20];  // Warning: we return this buffer, so place it in heap not on stack!
+ 		sprintf(Buf,"%2.2s",year);
+ 
+ 		if((atoi(Buf)>=0) && (atoi(Buf)<70)) sprintf(Buf,"%.2s %s %s%.2s",day,Months[atoi(mon)],"20",year);

Tags added: patch Request was from cate@cateee.net to control@bugs.debian.org. (Wed, 16 Jan 2008 08:00:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#438385; Package awardeco. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #17 received at 438385@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Giacomo Catenazzi <cate@debian.org>, 438385@bugs.debian.org
Subject: Re: Bug#438385: NMU awardeco #438385: fails on 64-bit platforms
Date: Wed, 16 Jan 2008 10:26:45 +0100
Hi,

On Wed, Jan 16, 2008 at 08:51:48AM +0100, Giacomo Catenazzi wrote:
> I'm ready for a NMU, attached I put the diff.
> Now I'll upload the package in delayed.

Thanks, feel free to upload, but please see comments below.


>   Considering the package pourpose, maybe Architecture: "any"
>   is to wide.

Nope, don't think so. The package is supposed to work everywhere.


> diff -u awardeco-0.2/debian/changelog awardeco-0.2/debian/changelog
> --- awardeco-0.2/debian/changelog
> +++ awardeco-0.2/debian/changelog
> @@ -1,3 +1,11 @@
> +awardeco (0.2-2.1) unstable; urgency=low
> +
> +  * Non-Maintainer Upload at BSP in Zurich: fix rc bug
> +  * Use the C99 bit length integer, to be safe on various archs

Please add "(Closes: #438385)" here. Also, please end all changelog
lines with a full stop and start sentences with capital letters for
consistency.


> --- awardeco-0.2.orig/debian/patches/30_fixeduint.patch
> +++ awardeco-0.2/debian/patches/30_fixeduint.patch
> @@ -0,0 +1,17 @@
> +diff -Nur awardeco-0.2/src/awardeco.h awardeco-0.2.new/src/awardeco.h
> +--- awardeco-0.2/src/awardeco.h	2006-08-05 11:38:03.000000000 +0200
> ++++ awardeco-0.2.new/src/awardeco.h	2008-01-16 08:12:10.000000000 +0100
> +@@ -10,10 +10,11 @@
> + #define AWARDECO_H 1
> + 
> + #include	<stdio.h>
> ++#include	<stdint.h>
> + 
> + typedef unsigned char	byte;

Maybe make this uint8_t then, too, for consistency? Yes, it's more
cosmetical, but still.


Cheers, Uwe.
-- 
http://www.hermann-uwe.de  | http://www.holsham-traders.de
http://www.crazy-hacks.org | http://www.unmaintained-free-software.org




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#438385; Package awardeco. Full text and rfc822 format available.

Acknowledgement sent to "Giacomo A. Catenazzi" <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #22 received at 438385@bugs.debian.org (full text, mbox):

From: "Giacomo A. Catenazzi" <cate@debian.org>
Cc: 438385@bugs.debian.org
Subject: Re: Bug#438385: NMU awardeco #438385: fails on 64-bit platforms
Date: Wed, 16 Jan 2008 10:55:33 +0100
>> diff -u awardeco-0.2/debian/changelog awardeco-0.2/debian/changelog
>> --- awardeco-0.2/debian/changelog
>> +++ awardeco-0.2/debian/changelog
>> @@ -1,3 +1,11 @@
>> +awardeco (0.2-2.1) unstable; urgency=low
>> +
>> +  * Non-Maintainer Upload at BSP in Zurich: fix rc bug
>> +  * Use the C99 bit length integer, to be safe on various archs
> 
> Please add "(Closes: #438385)" here. Also, please end all changelog
> lines with a full stop and start sentences with capital letters for
> consistency.

oops. Ok. the first was a cut-copy error trying cdbs-edit-patch
(nice tools!). Never realized about cosmetic consistency, I'll fix
also that.

>> --- awardeco-0.2.orig/debian/patches/30_fixeduint.patch
>> +++ awardeco-0.2/debian/patches/30_fixeduint.patch
>> @@ -0,0 +1,17 @@
>> +diff -Nur awardeco-0.2/src/awardeco.h awardeco-0.2.new/src/awardeco.h
>> +--- awardeco-0.2/src/awardeco.h	2006-08-05 11:38:03.000000000 +0200
>> ++++ awardeco-0.2.new/src/awardeco.h	2008-01-16 08:12:10.000000000 +0100
>> +@@ -10,10 +10,11 @@
>> + #define AWARDECO_H 1
>> + 
>> + #include	<stdio.h>
>> ++#include	<stdint.h>
>> + 
>> + typedef unsigned char	byte;
> 
> Maybe make this uint8_t then, too, for consistency? Yes, it's more
> cosmetical, but still.

yes. This change doesn't harm:  in C, char is a byte and in POSIX,
char is 8 bit. So I take a smaller NMU.  But reading the code it
seems ok to do this conversion.

I've some other minor stylistic C correction, i.e. "0xFFFFFFFF;"
is wrong, it should have a "u" postfix. (and "ul" if we care
about real C, but anyway POSIX int is 32-bit or more.),
but for this I think I (or you) should contact upstream author.

ciao
	cate




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#438385; Package awardeco. Full text and rfc822 format available.

Acknowledgement sent to Giacomo Catenazzi <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #27 received at 438385@bugs.debian.org (full text, mbox):

From: Giacomo Catenazzi <cate@debian.org>
Cc: 438385@bugs.debian.org
Subject: Re: Bug#438385: NMU awardeco #438385: fails on 64-bit platforms
Date: Thu, 17 Jan 2008 08:50:29 +0100
[Message part 1 (text/plain, inline)]
Hello,

Now I upload (still to DELAYED) the new version,
diff attached.

I have fixed the problems you pointed in last mail,
and I noticed I forgot one part of the uintXX_t
patch.

BTW:
lintian give two warning (on your and on this NMU)
- policy version
- empty /usr/bin
I see you install the binary on /bin and not
on /usr/bin. Is really what you want?

Do you know why pool
http://ftp.debian.org/debian/pool/main/a/awardeco/
contains only i386 and amd64 ?
But the package should be already build and installed on all archs:
http://people.debian.org/~igloo/status.php?packages=awardeco

ciao
	cate
[awardeco.diff (text/x-patch, inline)]
diff -u awardeco-0.2/debian/changelog awardeco-0.2/debian/changelog
--- awardeco-0.2/debian/changelog
+++ awardeco-0.2/debian/changelog
@@ -1,3 +1,12 @@
+awardeco (0.2-2.1) unstable; urgency=low
+
+  * Non-Maintainer Upload at BSP in Zurich: fix rc bug.
+  * Use the C99 bit length integer, to be safe on various
+    architectures (Closes: #438385).
+  * Fix also headers inclusion (memcpy: <string.h>, exit: <stdlib.h>).
+
+ -- Giacomo Catenazzi <cate@debian.org>  Thu, 17 Jan 2008 08:17:08 +0100
+
 awardeco (0.2-2) unstable; urgency=low
 
   * Fix FTBFS on GNU/kFreeBSD (Closes: #414235).
only in patch2:
unchanged:
--- awardeco-0.2.orig/debian/patches/30_fixeduint.patch
+++ awardeco-0.2/debian/patches/30_fixeduint.patch
@@ -0,0 +1,36 @@
+diff -Nur awardeco-0.2/src/awardeco.h awardeco-0.2.new/src/awardeco.h
+--- awardeco-0.2/src/awardeco.h	2006-08-05 11:38:03.000000000 +0200
++++ awardeco-0.2.new/src/awardeco.h	2008-01-17 08:25:23.000000000 +0100
+@@ -10,10 +10,11 @@
+ #define AWARDECO_H 1
+ 
+ #include	<stdio.h>
++#include	<stdint.h>
+ 
+-typedef unsigned char	byte;
+-typedef unsigned short	word;
+-typedef unsigned long	dword;
++typedef uint8_t		byte;
++typedef uint16_t	word;
++typedef uint32_t	dword;
+ 
+ #define	Xtract 		0x10
+ #define	List   		0x11
+diff -Nur awardeco-0.2/src/awardfnc.c awardeco-0.2.new/src/awardfnc.c
+--- awardeco-0.2/src/awardfnc.c	2006-08-05 11:38:03.000000000 +0200
++++ awardeco-0.2.new/src/awardfnc.c	2008-01-17 08:26:24.000000000 +0100
+@@ -10,10 +10,11 @@
+ #define AWARDFUNC_H 1
+ 
+ #include	<stdio.h>
++#include	<stdint.h>
+ 
+-typedef unsigned char	byte;
+-typedef unsigned short	word;
+-typedef unsigned long	dword;
++typedef uint8_t		byte;
++typedef uint16_t	word;
++typedef uint32_t	dword;
+ 
+ #define	Xtract 		0x10
+ #define	List   		0x11
only in patch2:
unchanged:
--- awardeco-0.2.orig/debian/patches/40_fixheader.patch
+++ awardeco-0.2/debian/patches/40_fixheader.patch
@@ -0,0 +1,12 @@
+diff -Nur awardeco-0.2/src/awardfnc.c awardeco-0.2.new/src/awardfnc.c
+--- awardeco-0.2/src/awardfnc.c	2008-01-17 08:26:37.000000000 +0100
++++ awardeco-0.2.new/src/awardfnc.c	2008-01-17 08:27:05.000000000 +0100
+@@ -11,6 +11,8 @@
+ 
+ #include	<stdio.h>
+ #include	<stdint.h>
++#include	<string.h>
++#include	<stdlib.h>
+ 
+ typedef uint8_t		byte;
+ typedef uint16_t	word;
only in patch2:
unchanged:
--- awardeco-0.2.orig/debian/patches/40_fixwarnings.patch
+++ awardeco-0.2/debian/patches/40_fixwarnings.patch
@@ -0,0 +1,21 @@
+diff -Nur awardeco-0.2/src/awardfnc.c awardeco-0.2.new/src/awardfnc.c
+--- awardeco-0.2/src/awardfnc.c	2008-01-16 08:28:09.000000000 +0100
++++ awardeco-0.2.new/src/awardfnc.c	2008-01-16 08:30:41.000000000 +0100
+@@ -153,7 +153,7 @@
+ 
+ byte *GetFullDate(byte *mon, byte *day, byte *year)
+ 	{
+-		byte *Months[]={"",
++		static byte const*const Months[]={"",
+ 				"January",
+ 				"February",
+ 				"March",
+@@ -166,7 +166,7 @@
+ 				"October",
+ 				"November",
+ 				"December"};
+-		byte Buf[20];
++		static byte Buf[20];  // Warning: we return this buffer, so place it in heap not on stack!
+ 		sprintf(Buf,"%2.2s",year);
+ 
+ 		if((atoi(Buf)>=0) && (atoi(Buf)<70)) sprintf(Buf,"%.2s %s %s%.2s",day,Months[atoi(mon)],"20",year);

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#438385; Package awardeco. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #32 received at 438385@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Giacomo Catenazzi <cate@debian.org>, 438385@bugs.debian.org
Subject: Re: Bug#438385: NMU awardeco #438385: fails on 64-bit platforms
Date: Thu, 17 Jan 2008 14:14:50 +0100
On Thu, Jan 17, 2008 at 08:50:29AM +0100, Giacomo Catenazzi wrote:
> Now I upload (still to DELAYED) the new version,
> diff attached.

Thanks!

 
> lintian give two warning (on your and on this NMU)
> - policy version

That's non-critical, I'll update it in the next upload.


> - empty /usr/bin
> I see you install the binary on /bin and not
> on /usr/bin. Is really what you want?

Oops, no. That's a bug indeed. I'll fix it in the next upload.


> Do you know why pool
> http://ftp.debian.org/debian/pool/main/a/awardeco/
> contains only i386 and amd64 ?
> But the package should be already build and installed on all archs:
> http://people.debian.org/~igloo/status.php?packages=awardeco

Hm, no idea. It does build fine everywhere though, see
http://buildd.debian.org/pkg.cgi?pkg=awardeco


Uwe.
-- 
http://www.hermann-uwe.de  | http://www.holsham-traders.de
http://www.crazy-hacks.org | http://www.unmaintained-free-software.org




Reply sent to Giacomo Catenazzi <cate@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 438385-close@bugs.debian.org (full text, mbox):

From: Giacomo Catenazzi <cate@debian.org>
To: 438385-close@bugs.debian.org
Subject: Bug#438385: fixed in awardeco 0.2-2.1
Date: Mon, 21 Jan 2008 21:17:04 +0000
Source: awardeco
Source-Version: 0.2-2.1

We believe that the bug you reported is fixed in the latest version of
awardeco, which is due to be installed in the Debian FTP archive:

awardeco_0.2-2.1.diff.gz
  to pool/main/a/awardeco/awardeco_0.2-2.1.diff.gz
awardeco_0.2-2.1.dsc
  to pool/main/a/awardeco/awardeco_0.2-2.1.dsc
awardeco_0.2-2.1_i386.deb
  to pool/main/a/awardeco/awardeco_0.2-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 438385@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giacomo Catenazzi <cate@debian.org> (supplier of updated awardeco package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 17 Jan 2008 08:17:08 +0100
Source: awardeco
Binary: awardeco
Architecture: source i386
Version: 0.2-2.1
Distribution: unstable
Urgency: low
Maintainer: cate@debian.org
Changed-By: Giacomo Catenazzi <cate@debian.org>
Description: 
 awardeco   - Decompress flashfiles equipped with an AWARD BIOS
Closes: 438385
Changes: 
 awardeco (0.2-2.1) unstable; urgency=low
 .
   * Non-Maintainer Upload at BSP in Zurich: fix rc bug.
   * Use the C99 bit length integer, to be safe on various
     architectures (Closes: #438385).
   * Fix also headers inclusion (memcpy: <string.h>, exit: <stdlib.h>).
Files: 
 40b808c2edfd93f0b759c1b8527758fd 559 utils optional awardeco_0.2-2.1.dsc
 c0020cd6891d9c4dda1b41172cec6e11 3057 utils optional awardeco_0.2-2.1.diff.gz
 7b4aa71f41f941bb0c94c304ac88f323 12302 utils optional awardeco_0.2-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHjwi7+ZNUJLHfmlcRAgIPAJ49aJ4Q6/Tlm2iSXCkXLXfL08MB0QCfQsMd
gE3u90Yp2cRL8JeU49EKoPk=
=phxH
-----END PGP SIGNATURE-----





Reply sent to Uwe Hermann <uwe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 438385-close@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@debian.org>
To: 438385-close@bugs.debian.org
Subject: Bug#438385: fixed in awardeco 0.2-3
Date: Fri, 08 Feb 2008 23:47:02 +0000
Source: awardeco
Source-Version: 0.2-3

We believe that the bug you reported is fixed in the latest version of
awardeco, which is due to be installed in the Debian FTP archive:

awardeco_0.2-3.diff.gz
  to pool/main/a/awardeco/awardeco_0.2-3.diff.gz
awardeco_0.2-3.dsc
  to pool/main/a/awardeco/awardeco_0.2-3.dsc
awardeco_0.2-3_i386.deb
  to pool/main/a/awardeco/awardeco_0.2-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 438385@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Uwe Hermann <uwe@debian.org> (supplier of updated awardeco package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 09 Feb 2008 00:11:22 +0100
Source: awardeco
Binary: awardeco
Architecture: source i386
Version: 0.2-3
Distribution: unstable
Urgency: low
Maintainer: Uwe Hermann <uwe@debian.org>
Changed-By: Uwe Hermann <uwe@debian.org>
Description: 
 awardeco   - Decompress flashfiles equipped with an AWARD BIOS
Closes: 436495 438385
Changes: 
 awardeco (0.2-3) unstable; urgency=low
 .
   * Acknowledge NMU, thanks Giacomo Catenazzi (Closes: #438385).
   * Install the binary in /usr/bin, not /bin.
   * Standards-Version: 3.7.3 (no changes required).
   * debian/control: Add Homepage field.
   * Honor the 'nostrip' build option (Closes: #436495).
Files: 
 afc6ad5f69bc693f52bcc149256d62fd 593 utils optional awardeco_0.2-3.dsc
 b6c1f284ccecfa83219d38916b52799f 3250 utils optional awardeco_0.2-3.diff.gz
 7cbaf2e6322a9c001ecd74c9a0a92eb3 12440 utils optional awardeco_0.2-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD4DBQFHrOgsXdVoV3jWIbQRAnS0AJ9UDbTVJ1GMGgw6k1hMVKNIoxyxTQCXVpMw
/cYigFx5ImgK8jnNSzYajg==
=i/iH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Mar 2008 07:36:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:12:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.